#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <sys/times.h>
#include <signal.h>
#include <time.h>
#include <sys/time.h>

#include "riscos.h"
#include "module-sharedunixlibrary.h"



bool SharedUnixLibrary::SWI (unsigned int swinum, bool xbit)
{
  switch (swinum)
    {
    case SharedUnixLibrary_RegisterUpCall:   RegisterUpCall (); break;
    case SharedUnixLibrary_DeRegisterUpCall: DeRegisterUpCall (); break;
    case SharedUnixLibrary_SetValue:         SetValue (); break;
    case SharedUnixLibrary_Count:            Count (); break;
    case SharedUnixLibrary_Initialise:       Initialise (); break;
    default:
      return false;
      break;
    }
  return true;
}

void SharedUnixLibrary::RegisterUpCall (void)
{
}

void SharedUnixLibrary::DeRegisterUpCall (void)
{
}

void SharedUnixLibrary::SetValue (void)
{
}

void SharedUnixLibrary::Count (void)
{
}

void SharedUnixLibrary::Initialise (void)
{
}

